#pragma once
#include "../includes.h"
#include "deelx.h"

//Just a nice wrapper for deelx.h.  Gives me the illusion that I wrote it.
//Also, that it has a nice syntax.
//http://www.regexlab.com/en/

typedef CRegexpT<char> regex_backing_type;
class Regex {
	public:
		string* regex;
	private:
		regex_backing_type* _regular_expression;

	public:
		Regex(string regex);
		Regex(const char* regex);
		~Regex();

		bool find_from_start(const char* str, unsigned long str_len, int* end);
		bool find_in(const char* str, unsigned long str_len, int* start, int* end);
};